MimeTypesTransformer (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.compiler.web

## [Java] Class MimeTypesTransformer

- org.codehaus.groovy.grails.compiler.web.MimeTypesTransformer

- All Implemented Interfaces and Traits:
    AnnotatedClassInjector, GrailsArtefactClassInjector

      @AstTransformer
      public class MimeTypesTransformer
      extends java.lang.Object

  Adds the withFormat and other mime related methods to controllers at compile time.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static org.codehaus.groovy.ast.Parameter[]` | `CLOSURE_PARAMETER` |
    `static java.util.regex.Pattern` | `CONTROLLER_PATTERN` |
    `static java.lang.String` | `FIELD_MIME_TYPES_API` |
    `static java.lang.String` | `WITH_FORMAT_METHOD` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String[]` | `getArtefactTypes()`
    `protected org.codehaus.groovy.ast.AnnotationNode` | `getMarkerAnnotation()`
    `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final org.codehaus.groovy.ast.Parameter[] CLOSURE_PARAMETER

    - #### public static java.util.regex.Pattern CONTROLLER_PATTERN

    - #### public static final java.lang.String FIELD_MIME_TYPES_API

    - #### public static final java.lang.String WITH_FORMAT_METHOD

  - ### Method Detail

    - #### public java.lang.String[] getArtefactTypes()

    - #### protected org.codehaus.groovy.ast.AnnotationNode getMarkerAnnotation()

    - #### public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public boolean shouldInject(java.net.URL url)